package com.ruoyi.oa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.oa.mapper.CmcContractCommentMapper;
import com.ruoyi.oa.domain.CmcContractComment;
import com.ruoyi.oa.service.ICmcContractCommentService;

/**
 * cmc合同意见Service业务层处理
 * 
 * @author cmc
 * @date 2024-04-19
 */
@Service
public class CmcContractCommentServiceImpl implements ICmcContractCommentService 
{
    @Autowired
    private CmcContractCommentMapper cmcContractCommentMapper;

    /**
     * 查询cmc合同意见
     * 
     * @param contractId cmc合同意见主键
     * @return cmc合同意见
     */
    @Override
    public List<CmcContractComment> selectCmcContractCommentByContractId(String contractId)
    {
        return cmcContractCommentMapper.selectCmcContractCommentByContractId(contractId);
    }

    /**
     * 查询cmc合同意见列表
     * 
     * @param cmcContractComment cmc合同意见
     * @return cmc合同意见
     */
    @Override
    public List<CmcContractComment> selectCmcContractCommentList(CmcContractComment cmcContractComment)
    {
        return cmcContractCommentMapper.selectCmcContractCommentList(cmcContractComment);
    }

    /**
     * 新增cmc合同意见
     * 
     * @param cmcContractComment cmc合同意见
     * @return 结果
     */
    @Override
    public int insertCmcContractComment(CmcContractComment cmcContractComment)
    {
        return cmcContractCommentMapper.insertCmcContractComment(cmcContractComment);
    }

    /**
     * 修改cmc合同意见
     * 
     * @param cmcContractComment cmc合同意见
     * @return 结果
     */
    @Override
    public int updateCmcContractComment(CmcContractComment cmcContractComment)
    {
        return cmcContractCommentMapper.updateCmcContractComment(cmcContractComment);
    }

    /**
     * 批量删除cmc合同意见
     * 
     * @param contractIds 需要删除的cmc合同意见主键
     * @return 结果
     */
    @Override
    public int deleteCmcContractCommentByContractIds(String[] contractIds)
    {
        return cmcContractCommentMapper.deleteCmcContractCommentByContractIds(contractIds);
    }

    /**
     * 删除cmc合同意见信息
     * 
     * @param contractId cmc合同意见主键
     * @return 结果
     */
    @Override
    public int deleteCmcContractCommentByContractId(String contractId)
    {
        return cmcContractCommentMapper.deleteCmcContractCommentByContractId(contractId);
    }
}
